All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.olaptableview.html
Class OLAPColorMapTableCellRenderer

    com.sas.servlet.tbeans.olaptableview.html.OLAPColorMapTableCellRenderer

All Implemented Interfaces:
  HttpConstants, StyleInterface, TableCell, TableCellRenderer, javax.swing.SwingConstants

    @SASScope(value="ALL")
    public class OLAPColorMapTableCellRenderer

The class is used for rendering conditions applied to the OLAPTableView using the ConditionEvaluation class set on the OLAPTableView.

Field Summary

Fields inherited from interface com.sas.servlet.tbeans.HttpConstants
`ALL, BASELINE, CHAR, COL, COLGROUP, JUSTIFY, MULTIPLE, NONE, ROW, ROWGROUP, SINGLE`

Constructor Summary
`OLAPColorMapTableCellRenderer()` Constructs a new OLAPConditionTableCellRenderer.

Method Summary
`double[]` | `getColorRampValues()` Returns the minimum, midpoint, and maximum values used to map the colors for the measures.
`int` | `getGraphStyleType()` Returns the GraphStyle that is used to determine the colors used by the colorMap, the default is using the GraphStyle.STYLE_STATISTICAL style.
`void` | `setColorRampValues(double min, double midpoint, double max)` Sets the values to be used to map the colors for measures.
`void` | `setGraphStyleType(int gStyle)` Sets the GraphStyle that is used to determine the colors used by the colorMap, the default is using the GraphStyle.STYLE_STATISTICAL style.
`protected com.sas.graphics.util.gtk.ContinuousRangeToColorMap` | `updateColorRange(javax.servlet.http.HttpServletRequest request)`
`void` | `write(java.io.PrintWriter out, AbstractBaseTableView tableview, java.lang.Object value, java.lang.String name, ActionList actions)` Write the entire table cell in the appropriate markup language.

Methods inherited from class com.sas.servlet.tbeans.olaptableview.html.DefaultOLAPTableDataCellRenderer
`getTableCellContentsRenderer, setTableCellContentsRenderer`

Methods inherited from class com.sas.servlet.tbeans.tableview.html.BaseTableCell
`getBgColor, getColSpan, getCustomAttributes, getHeaders, getHeight, getHeightPercentage, getHorizontalAlignment, getId, getLocale, getRowSpan, getScope, getStyleInfo, getVerticalAlignment, getWidth, getWidthPercentage, isHeader, isNoWrap, setBgColor, setColSpan, setCustomAttributes, setHeader, setHeaders, setHeight, setHeightPercentage, setHorizontalAlignment, setId, setLocale, setNoWrap, setRowSpan, setScope, setStyleInfo, setVerticalAlignment, setWidth, setWidthPercentage, writeBeginCell, writeEndCell`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCellRenderer
`getLocale, setLocale`

Methods inherited from interface com.sas.servlet.tbeans.tableview.TableCell
`isHeader, setHeader, writeBeginCell, writeEndCell`

Constructor Detail

### OLAPColorMapTableCellRenderer

    public OLAPColorMapTableCellRenderer()

  Constructs a new OLAPConditionTableCellRenderer.

Method Detail

### write

    public void write(java.io.PrintWriter out,
                      AbstractBaseTableView tableview,
                      java.lang.Object value,
                      java.lang.String name,
                      ActionList actions)
               throws java.io.IOException

  Write the entire table cell in the appropriate markup language. This method calls the writeBeginCell, writeEndCell and TableCellContentsRenderer.setCellRendererContentsValue methods.

  Specified by:
    `write` in interface `TableCell`
  Overrides:
    `write` in class `DefaultOLAPTableDataCellRenderer`
  Parameters:
    `out` - the output stream
    `tableview` - the instance of the tableview being written.
    `value` - the value to display as the cell's contents
    `name` - the name to use for the contents component
    `actions` - an actionlist of all the valid actions for this cell
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### getGraphStyleType

    public int getGraphStyleType()

  Returns the GraphStyle that is used to determine the colors used by the colorMap, the default is using the GraphStyle.STYLE_STATISTICAL style.

  Returns:
    the GraphStyle object.
  See Also:
    `GraphStyle`

### setGraphStyleType

    public void setGraphStyleType(int gStyle)

  Sets the GraphStyle that is used to determine the colors used by the colorMap, the default is using the GraphStyle.STYLE_STATISTICAL style.

  Parameters:
    `a` - GraphStyle object.
  See Also:
    `GraphStyle`

### getColorRampValues

    public double[] getColorRampValues()

  Returns the minimum, midpoint, and maximum values used to map the colors for the measures.

  Returns:
    min, midpoint, max

### setColorRampValues

    public void setColorRampValues(double min,
                                   double midpoint,
                                   double max)

  Sets the values to be used to map the colors for measures.

  Parameters:
    `min` - the minimum value of the measure
    `max` - the maximum value of the measure, the midpoint is calculated internally.

### updateColorRange

    protected com.sas.graphics.util.gtk.ContinuousRangeToColorMap updateColorRange(javax.servlet.http.HttpServletRequest request)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.